Bug 611 - Could not choose interface ppp0 in drakgw (Share internet connection)
: Could not choose interface ppp0 in drakgw (Share internet connection)
Status: RESOLVED INVALID
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 09:12 MSD by FirstLevel
Modified: 2014-01-27 11:41 MSK (History)
3 users (show)

See Also:
RPM Package: drakx-net-text-0.96-6-rosa.lts2012.0.noarch
ISO-related:
Bad POT generating:
Upstream:


Attachments
only wlan0 (135.09 KB, image/png)
2012-07-31 09:12 MSD, FirstLevel
Details
only eth0 (134.87 KB, image/png)
2012-07-31 09:12 MSD, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2012-07-31 09:12:11 MSD
Created attachment 444 [details]
only wlan0

Description of problem:
I have modem Huawei E367 which I use to connect to internet by NetworkManager. This is output of ifconfig after I connect to Internet
[root@localhost roman]# ifconfig -a
lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:126 errors:0 dropped:0 overruns:0 frame:0
          TX packets:126 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:10084 (9.8 KiB)  TX bytes:10084 (9.8 KiB)

ppp0      Link encap:Point-to-Point Protocol  
          inet addr:172.17.202.209  P-t-P:10.64.64.64  Mask:255.255.255.255
          UP POINTOPOINT RUNNING NOARP MULTICAST  MTU:1500  Metric:1
          RX packets:7035 errors:0 dropped:0 overruns:0 frame:0
          TX packets:7489 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:3 
          RX bytes:5305822 (5.0 MiB)  TX bytes:933458 (911.5 KiB)

vboxnet0  Link encap:Ethernet  HWaddr 0A:00:27:00:00:00  
          inet addr:192.168.1.1  Bcast:192.168.1.255  Mask:255.255.255.0
          inet6 addr: fe80::800:27ff:fe00:0/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:179 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:22537 (22.0 KiB)

wlan0     Link encap:Ethernet  HWaddr 90:00:4E:61:19:26  
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

When I start drakgw I could not choose ppp0 as interface with internet connection. How could I use it?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 FirstLevel 2012-07-31 09:12:34 MSD
Created attachment 445 [details]
only eth0
Comment 2 FirstLevel 2012-07-31 09:15:06 MSD
I have attached screenshots with
Comment 3 Denis Silakov 2012-08-13 17:23:09 MSD
Can you share the connection using KDE Control Center? (Network Settings -> Network Connections -> click 'Add...' button abd chosse 'Shared')?

Unfortunately, I don't have a ppp connection to experiment with; maybe it make sense to read Network Manager help about sharing connections. Or look for posts like this one:

http://simplehacksnreviews.wordpress.com/2011/10/30/simple-connection-sharing-with-networkmanager-how-to-connect-with-a-3g-usb-modem-on-linux/
Comment 4 Aleksandr Kazantcev 2014-01-27 11:41:24 MSK
Close as no longer answer